
/**
 * Title:        ControlThread<p>
 * Description:  <p>
 * Copyright:    Copyright (c) gb tommasi<p>
 * Company:      <p>
 * @author gb tommasi
 * @version 1.0
 */
import java.util.*;

public class ControlThread extends java.lang.Thread{

  private int tries = 0;
  private long timeToClose = 0;
  private static final int STOP = 0;
  private Vector v = null;


  public ControlThread(long l, Vector v) {
        System.out.println("lanciato control thread");
      timeToClose = l;
      tries = (int)Math.round(l/1000);
      this.v = v;
      start();
  }

  public void run()
  {
    try{
     int controllo = 1;
     int r = 0;
     while(r < tries)
     {
       for(int i = 0;i < v.size(); i++)
       {
         PoolableConnection p = (PoolableConnection)v.get(i);
         if(p.getTimeUsed() <= timeToClose && p.isLocked())
         {
           p.setLocked(false);
           controllo = ControlThread.STOP;
           break;
         }
       }
       if(controllo == ControlThread.STOP)
       {
         break;
       }
       sleep(1000);
     }
    }
    catch(InterruptedException ie)
    {
      notifyAll();
      ie.printStackTrace();
    }
    catch(ThreadDeath td)
    {
        notifyAll();
        throw new ThreadDeath();
    }
  }


}