import java.sql.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


public class MyServlet extends HttpServlet
{

   ConnectionPool pool = null; 
   
public void init(ServletConfig config) throws ServletException
{
   	super.init(config);
	try{
	pool = new ConnectionPool();
	String drv= config.getInitParameter("driver") == null ? "oracle.jdbc.driver.OracleDriver":config.getInitParameter("driver");  
	
	System.out.println("drv = "+drv);
	pool.setDriver(drv);
	String dbUrl = config.getInitParameter("datasource")== null ? "jdbc:oracle:thin:@localhost:1521:orcl":config.getInitParameter("datasource");
	pool.setURL(dbUrl);
	int size = config.getInitParameter("size")== null ? 10:Integer.parseInt(config.getInitParameter("size"));
	pool.setSize(size);
	String user = config.getInitParameter("user")== null ? "scott":config.getInitParameter("user");
	pool.setUser(user);
	String password = config.getInitParameter("datasource")== null ? "tiger":config.getInitParameter("password");
	pool.setPassword(password);
	pool.initializePool();
	}
	catch(ClassNotFoundException e)
	{
	  throw new ServletException(e.toString());
	}
	catch(Exception e)
	{
	  throw new ServletException(e.toString());
	}

   }
   
   
   public void service(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
   {
      res.setContentType("text/html");
      Connection con = null;
      
      Connection con2 = null;
	  try
	  {
	 	  con = pool.getConnection();
	  PrintWriter out = res.getWriter();
	  String html = "<html><body><h1>"+con.toString()+"<table border=\"1\">";
	  
	  Statement stat = con.createStatement();
	  String sql = "SELECT * FROM emp";
	  ResultSet rs = stat.executeQuery(sql);
	  
	  while (rs.next())
	  {
	  	html += "<tr><td>"+rs.getString(1)+"</td>";
		html += "<td>"+rs.getString(2)+"</td>";
		html += "<td>"+rs.getString(3)+"</td>";
		html += "<td>"+rs.getString(4)+"</td>";
		html += "<td>"+rs.getString(5)+"</td>";
		html += "<td>"+rs.getString(6)+"</td>";
		html += "<td>"+rs.getString(7)+"</td>";
		html += "<td>"+rs.getString(8)+"</td></tr>";
	  }
	 
	  rs.close();
	  stat.close();
	  html += "</table></body></html>";
	  out.print(html);
	  out.close();
	  }
	  catch(Exception e)
	  {
	  	throw new ServletException(e.getMessage(),e);
	  }
	  finally
	  {
	   pool.releaseConnection(con);	
	  }
	  	  
   
   }
      

    public void destroy()
    {
    	try{
    	pool.emptyPool();
    	}
	catch(Exception e)
	{
	  e.printStackTrace();
	}
    }
  

}